/* general style */

*{
    margin: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
    scroll-behavior: smooth;
}
body{
    background-color: #f5f5f5;
}
.clear{
    clear: both;
}

.container{
    width: 90%;
    margin: auto;
}
button{
    cursor: pointer;
}
/* start nav */
#about,
#home,
#gallery,
#contact {
    scroll-margin-top: 137px;
}
.nav{
    padding: 50px 0;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 999999;
    background-color: #f5f5f5;
}
.nav .logo{
    float: left;
}

.nav .nav-links{
    float: right;
}

.nav .nav-links ul li{
    float: left;
    list-style: none;
    padding: 0 20px;
}
.nav .nav-links ul li a{
    color: black;
    text-decoration: none;
    font-size: 20px;
}
/* end nav */

/* start header */
.header{
    margin-top: 137px;
    height: 100vh;
}
.header .bg-image{
    background-image: url("../images/bgImage.avif");
    background-size: 100% 100%;
    background-position: center;
    height: 100vh;
    background-attachment: fixed;
}
.header .bg-image .layer{
    background-color: rgba(0, 0, 0, .5);
    height: 100%;
    width: 100%;
} 
.header .bg-image .layer .header-caption{
    padding: 60px 0 0 50px;
}   
.header .bg-image .layer .header-caption h1{
    font-size: 72px;
    font-weight: 800;
    color: white;
    width: 60%; 
}
.header .bg-image .layer .header-caption button{
    padding: 10px 20px;
    background-color: #fff;
    color: #000;
    border: none;
    border-radius: 5px;

}
/* end header */

/* start section 1 */
.section{
    padding: 80px 0 0 0;
}
.section .sec-img{
    background-image: url("../images/sec1.avif");
    background-attachment: fixed;
    float: left;
    width: 50%;
    height: 90vh;
}
.section .sec-text{
    float: right;
    width: 50%;
    padding: 90px 50px;
}
.section .sec-text h2{
    font-size: 40px;
    font-weight: 400;
    margin-bottom: 50px;
}
.section .sec-text p{
   font-weight: 200;
    font-size: 15px;
    color: #434141;
    margin-bottom: 50px;
    line-height: 30px; 
}
    
.section .sec-text button{
   padding: 10px 20px;
    background-color: #000;
    color: #fff; 
}
/* end section 1 */

/* start service section */
.service-sec{
    text-align: center;
    margin: 80px 0;
}
.service-sec .parent .item{
    float: left;
    width: 33.3333%;
    padding: 0 30px;
}
.service-sec h2{
    margin-bottom: 30px;
}
.service-sec .parent .item .inner{
    background-color: #f2f2f2;
}
.service-sec .parent .item img{
    width: 100%;
}
.service-sec .parent .item .inner h3{
    margin-bottom: 20px;
}

/* end service section */


/* start contact */

.contact{
    text-align: center;
    padding: 80px 0;
    background-color: #f5f5f5;
    margin: auto;
    width: 70%;
}

.contact .contact-form h2{
    margin-bottom: 40px;
}

.contact .contact-form input,
.contact .contact-form textarea{
    width: 100%;
    padding: 12px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    outline: none;
}

.contact .contact-form textarea{
    height: 80px;
    resize: none;
}

.contact .contact-form button{
    padding: 10px 20px;
    background-color: black;
    color: white;
    border: none;
}




/* end contact */